## lprMagic-2.4.tgz

=== Makefile ===
#
# mpage:	A program to reduce pages of print so that several pages
# 	  	of output appear on one sheet of paper.
#
# Copyright (c) 1988 Mark P. Hahn, Herndon, Virginia
# Copyright (c) 1994-1997 Marcel J.E. Mol, The Netherlands
#                    marcel@mesa.nl
#     
# Written by:
#   ...!uunet!\                       Mark Hahn, Sr Systems Engineer
#              >pyrdc!mark            Pyramid Technology Corporation
# ...!pyramid!/                       Vienna, Va    (703)848-2050
#
#
#     Permission is granted to anyone to make or distribute verbatim
#     copies of this document as received, in any medium, provided
#     that this copyright notice is preserved, and that the
#     distributor grants the recipient permission for further
#     redistribution as permitted by this notice.
#
#  
#     Marcel Mol                     MESA Consulting
#     Hogeveenseweg 12               P.o. box 9
#     2631 PH Nootdorp               2270 AA Voorburg
#     The Netherlands                The Netherlands
#     phone: 015-3101310             phone: +31-6-54724868
#     marcel@mesa.nl                 info@mesa.nl
#  

# Set this to an ANSI compatible C compiler (preferably gcc)
# See also system specific settings below
#CC=cc
CC=gcc

############################################################################
#
#  MPAGE Configuration
#
############################################################################

#
# Define your favorite page size:
#          PAGE_LETTER for US letter
#          PAGE_LEGAL for legal
#          PAGE_A4 for European A4
#
# PAGESIZE=PAGE_LETTER
PAGESIZE=PAGE_A4

#
# Define your spooler type
#          ATT_SPOOLER for 'lp ...' type printing
#          BSD_SPOOLER for 'lpr ..' tpye printing
#
SPOOL_TYPE=BSD_SPOOLER

# PREFIX=e:/usr		# OS/2 type
PREFIX=/usr
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib
MANDIR=$(PREFIX)/man/man1

#
# A default encoding is given in encoding.h. Setting ENCODING=1 will
# activate this encoding by default. 0 switches default off.
# The -C option (without subargument) can be used to switch.
#
ENCODING=1

#
# Set the default sheet margin in 1/72 inches. 
#
SHEETMARGIN=20 


DEFS = -DPAGE_DEF=${PAGESIZE} -DLIBDIR=\"${LIBDIR}/mpage\" -DDEFAULT_ENCODING=${ENCODING} -DDEFAULTSMARGIN=${SHEETMARGIN} -DSPOOLER=${SPOOL_TYPE}

############################################################################
#
#  OPERATING SYSTEM SETUP
#
############################################################################

# Unix extensions
E = 
O = .o
DEF_FILE =

# OS/2:
# CFLAGS = -O2 -s -DOS2 $(DEFS) -Wall
# LIBS   = -Zomf -Zcrtdll
# DEF_FILE = mpage.defM

# E = .exe
# O = .o
# pattern rules (OS/2)
# %$(O): %.c
#	$(CC) $(CFLAGS) -c -o $@ $<

# MSDOS extensions
# E = .exe
# O = .obj

############################################################################
#
#  UNIXEN SPECIFICS
#
############################################################################

# Choose one of the following CFLAGS/CC definitions:
# If you are using gcc, you probably don't need to change anything here.

# Linux:
#CFLAGS = -O2 -g $(DEFS) -Wall -DLIBPAPER
#LIBS=-lpaper

CFLAGS = -O2 -g $(DEFS) -Wall 
LIBS=

# AIX (xlC on aix 4):
#CFLAGS = -O2 -s $(DEFS)

# SunOS 4.1.3_U1 1 sun4m (gcc 2.7.2)
#CFLAGS = -O2 -s $(DEFS) -D__USE_FIXED_PROTOTYPES__ -Wall

# SunOS 4.1.3_U1 1 sun4m (standard C-compiler (NOTE: sample.c will not
#     compile, since the standard cc is not ANSI-standard)
#CFLAGS = -O2 -s $(DEFS)

# HP-UX A.09.01 A 9000/735 (standard cc)
#CFLAGS = -Aa +O3 -s $(DEFS) -D_INCLUDE_POSIX_SOURCE -Wall

# BeOS
#CFLAGS= -O2 $(DEFS)

############################################################################
#
# END OF CONFIGURATION OPTIONS
#


HEAD =  mpage.h
DENC =  encoding.h
SRCS =  mpage.c glob.c text.c post.c file.c page.c args.c
MOBJ =  mpage$(O) glob$(O) text$(O) post$(O) file$(O) page$(O) args$(O)
SMPL =  sample.c page.c glob.c args.c
SOBJ =  sample$(O) page$(O) glob$(O) args$(O)

default:	mpage$(E) msample$(E)
	@echo Done!

mpage$(E):	$(MOBJ)
	$(CC) $(CFLAGS) -o mpage$(E) $(MOBJ) $(LIBS) $(DEF_FILE)

msample$(E):	$(SOBJ)
	$(CC) $(CFLAGS) -o msample$(E) $(SOBJ) $(LIBS) $(DEF_FILE)

clean:
	rm -rf $(MOBJ) mpage$(E) mpage.ps $(SOBJ) msample$(E) make.log core

mpage$(O):	$(HEAD) $(DENC) mpage.c
glob$(O):	$(HEAD) glob.c
text$(O):	$(HEAD) text.c
post$(O):	$(HEAD) post.c
file$(O):	$(HEAD) file.c
page$(O):	$(HEAD) page.c
args$(O):	$(HEAD) args.c
sample$(O):	$(HEAD) sample.c

mpage.ps:	mpage.1
	psroff -t -man mpage.1 > mpage.ps


#
# add your proper install stuff
#
install:
	install -s -m 755 -o root -g root mpage$(E) $(DESTDIR)/usr/bin
	-cp Encodings/* $(DESTDIR)/usr/lib/mpage

=== debian/changelog ===
mpage (2.5-6) unstable frozen; urgency=low

  * make mp and psprint executable

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Sun, 22 Mar 1998 18:09:52 +0000

mpage (2.5-5) unstable; urgency=low

  * fix psprint example script 

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Mon,  9 Mar 1998 20:13:51 +0000

mpage (2.5-4) unstable; urgency=low

  * removed du file

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Tue, 24 Feb 1998 20:42:13 +0000

mpage (2.5-3) unstable; urgency=low

  * don't print outlining messages as they are irritating (fixes 16988)

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Tue, 13 Jan 1998 20:06:14 +0000

mpage (2.5-2) unstable; urgency=low

  * uses dh_shlibdeps rather than hardcoded dependencies [fixes 16472]

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Sun,  4 Jan 1998 20:22:23 +0000

mpage (2.5-1) unstable; urgency=low

  * new upstream release
  * new maintainer

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Sat, 20 Dec 1997 00:08:22 +0000

mpage (2.4-7) unstable; urgency=low

  * now using libpaper to determine default paper size.

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 30 Nov 1997 14:28:51 +0100

mpage (2.4-6) unstable; urgency=low

  * (quick and dirty) bugfix to handle dvi2ps files. 

 -- Andreas Jellinghaus <aj@debian.org>  Fri, 21 Nov 1997 14:48:32 +0100

mpage (2.4-5) unstable; urgency=low

  * fixed dependency on libc5.

 -- Andreas Jellinghaus <aj@debian.org>  Mon,  3 Nov 1997 10:40:30 +0100

mpage (2.4-4) unstable; urgency=low

  * libc6 release.

 -- Andreas Jellinghaus <aj@debian.org>  Fri, 16 May 1997 21:50:05 +0200

mpage (2.4-3) unstable; urgency=low

  * fixed some stupid bugs in Makefile and debian/rules

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 26 Nov 1996 20:17:03 +0100

mpage (2.4-2) unstable; urgency=low

  * fixed bug #4634 
    (small bug in debian/rules - cleaned binary-indep section)
  * new debian/* control files (generated with deb-make)

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 26 Nov 1996 17:15:23 +0100

mpage (2.4-1) unstable; urgency=low

  * new upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Wed, 18 Sep 1996 13:26:32 +0200

mpage (2.3-1) unstable; urgency=low

  * initial release.

 -- Andreas Jellinghaus <aj@debian.org>  Fri, 30 Aug 1996 19:48:18 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: mpage
Section: text
Priority: optional
Maintainer: Adrian Bridgett <adrian.bridgett@poboxes.com>
Standards-Version: 2.4.0.0

Package: mpage
Architecture: any
Depends: ${shlibs:Depends}
Suggests: gs
Description: print multiple pages per sheet on PostScript printer 
 Mpage reads plain text files or PostScript documents and prints them on
 a PostScript printer with the text reduced in size so that several
 pages appear on one sheet of paper. This is useful for viewing large
 printouts on a small amount of paper. Uses ISO 8859.1 to print 8-bit
 characters.

=== debian/rules ===
#!/usr/bin/make -f

# This script uses debhelper by Joey Hess
export DH_VERBOSE=1

build:	build-stamp

build-stamp:
	dh_testdir
	# build package
	make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) -i clean
	dh_clean

binary-indep:	build

binary-arch:	build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/lib/mpage usr/bin
	# move files into debian/tmp
	$(MAKE) DESTDIR=debian/tmp install
	dh_installdocs All.chars Characters Encoding.format FAQ NEWS README TODO Contrib
#	cp -r Contrib debian/tmp/usr/doc/mpage
	dh_installmanpages
	dh_installchangelogs CHANGES
	dh_strip
	dh_compress
	dh_fixperms
	chmod 0755 debian/tmp/usr/doc/mpage/Contrib/mp debian/tmp/usr/doc/mpage/Contrib/psprint
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:	binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
